#include <string>
#include <iostream>
#include "Exception.h"

Exception::Exception(){
	description = "Un defined error";
	inner = 0;
}

Exception::Exception(std::string desc){
	description = desc;
	inner = 0;
}

Exception::Exception(std::string desc, Exception * innerException){
	description = desc;
	inner = innerException;
}

Exception::~Exception(){
	delete inner;
}

void Exception::Print()const{
	std::cout << description << std::endl;
	if(inner){
		std::cout << "Inner exception: ";
		inner->Print();
	}
}


